package com.ruoyi.model.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.model.mapper.AppTransactionDetailsMapper;
import com.ruoyi.model.domain.AppTransactionDetails;
import com.ruoyi.model.service.IAppTransactionDetailsService;

/**
 * 交易明细记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-08
 */
@Service
public class AppTransactionDetailsServiceImpl implements IAppTransactionDetailsService 
{
    @Autowired
    private AppTransactionDetailsMapper appTransactionDetailsMapper;

    /**
     * 查询交易明细记录
     * 
     * @param id 交易明细记录主键
     * @return 交易明细记录
     */
    @Override
    public AppTransactionDetails selectAppTransactionDetailsById(Long id)
    {
        return appTransactionDetailsMapper.selectAppTransactionDetailsById(id);
    }

    /**
     * 查询交易明细记录列表
     * 
     * @param appTransactionDetails 交易明细记录
     * @return 交易明细记录
     */
    @Override
    public List<AppTransactionDetails> selectAppTransactionDetailsList(AppTransactionDetails appTransactionDetails)
    {
        return appTransactionDetailsMapper.selectAppTransactionDetailsList(appTransactionDetails);
    }

    /**
     * 新增交易明细记录
     * 
     * @param appTransactionDetails 交易明细记录
     * @return 结果
     */
    @Override
    public int insertAppTransactionDetails(AppTransactionDetails appTransactionDetails)
    {
        appTransactionDetails.setCreateTime(DateUtils.getNowDate());
        return appTransactionDetailsMapper.insertAppTransactionDetails(appTransactionDetails);
    }

    /**
     * 修改交易明细记录
     * 
     * @param appTransactionDetails 交易明细记录
     * @return 结果
     */
    @Override
    public int updateAppTransactionDetails(AppTransactionDetails appTransactionDetails)
    {
        appTransactionDetails.setUpdateTime(DateUtils.getNowDate());
        return appTransactionDetailsMapper.updateAppTransactionDetails(appTransactionDetails);
    }

    /**
     * 批量删除交易明细记录
     * 
     * @param ids 需要删除的交易明细记录主键
     * @return 结果
     */
    @Override
    public int deleteAppTransactionDetailsByIds(Long[] ids)
    {
        return appTransactionDetailsMapper.deleteAppTransactionDetailsByIds(ids);
    }

    /**
     * 删除交易明细记录信息
     * 
     * @param id 交易明细记录主键
     * @return 结果
     */
    @Override
    public int deleteAppTransactionDetailsById(Long id)
    {
        return appTransactionDetailsMapper.deleteAppTransactionDetailsById(id);
    }

    @Override
    public List<AppTransactionDetails> getAppTransactionDetailsByWid(Long wid) {
        return appTransactionDetailsMapper.getAppTransactionDetailsByWid(wid);
    }
}
